@import 'styles-variables';

@import '~bootstrap/scss/bootstrap-reboot';
@import '~bootstrap/scss/bootstrap-grid';
@import 'styles-reset';

@import '~@angular/material/theming';

@include mat-core();

@import './themes/default-theme';
@import './themes/light-theme';
@import './themes/black-theme';
@import './themes/nature-theme';

@import 'styles-reset.scss-theme';
@import './app/app/app.component.scss-theme';
@import './app/shared/big-input/big-input/big-input.component.scss-theme';
@import './app/features/about/about/about.component.scss-theme';
@import './app/features/examples/notifications/components/notifications.component.scss-theme';
@import './app/features/examples/todos/components/todos-container.component.scss-theme';
@import './app/features/examples/stock-market/components/stock-market-container.component.scss-theme';
@import './app/features/examples/theming/parent/parent.component.scss-theme';
@import './app/features/examples/theming/child/child.component.scss-theme';
@import './app/features/examples/examples/examples.component.scss-theme';

@mixin custom-components-theme($theme) {
  @include mmd-styles-reset-theme($theme);
  @include mmd-app-component-theme($theme);
  @include mmd-about-component-theme($theme);
  @include mmd-big-input-component-theme($theme);
  @include mmd-notifications-component-theme($theme);
  @include mmd-todos-container-component-theme($theme);
  @include mmd-stock-market-container-component-theme($theme);
  @include mmd-parent-component-theme($theme);
  @include mmd-child-component-theme($theme);
  @include mmd-examples-component-theme($theme);
}

.default-theme {
  @include angular-material-theme($mmd-theme);
  @include custom-components-theme($mmd-theme);
}

.light-theme {
  @include angular-material-theme($mmd-light-theme);
  @include custom-components-theme($mmd-light-theme);
}

.black-theme {
  @include angular-material-theme($mmd-black-theme);
  @include custom-components-theme($mmd-black-theme);
}

.nature-theme {
  @include angular-material-theme($mmd-nature-theme);
  @include custom-components-theme($mmd-nature-theme);
}
